package top.iletter.modules.job.task;



import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;
/**
 * 临期提醒，检查有哪个服务即将过期，传入参数为json形式
 * {
 *     agoDate:'10',  // 提前提醒时间
 *     isEmail:'true'     // 是否开启邮件通知
 * }
 */
@Component("ExpirationDateReminder")
public class ExpirationDateReminder implements ITask{
	private Logger logger = LoggerFactory.getLogger(getClass());

	@Override
	public void run(String params){
		logger.debug("Task定时任务正在执行，参数为：{}", params);
	}
}